Page MenuHomePhabricator

Add Flow support to Nuke
Closed, ResolvedPublic

Description

It'd be useful if the Nuke extension could mass delete all topics/posts created by a spammer

See also T116211: Improve/investigate solutions for the Flow botspam.

Event Timeline

Reedy created this task.Oct 16 2015, 12:40 PM
Reedy updated the task description. (Show Details)
Reedy raised the priority of this task from to Normal.
Reedy added a subscriber: Reedy.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Quiddity updated the task description. (Show Details)Oct 16 2015, 4:35 PM
Quiddity set Security to None.
Quiddity updated the task description. (Show Details)
Catrope raised the priority of this task from Normal to High.Oct 17 2015, 12:01 AM
Elitre added a subscriber: Elitre.Oct 21 2015, 4:40 PM

Per Shanmugamp7 feedback nuke is a priority to fight this spam.

Stryn added a subscriber: Stryn.Oct 27 2015, 6:45 PM
Matiia added a subscriber: Matiia.Oct 30 2015, 1:03 AM

Change 255981 had a related patch set uploaded (by Sbisson):
[WIP] Hooks to extend pages retrieval and deletion

https://gerrit.wikimedia.org/r/255981

Change 256448 had a related patch set uploaded (by Sbisson):
[WIP] Include Flow topics in Nuke

https://gerrit.wikimedia.org/r/256448

Change 255981 merged by jenkins-bot:
Hooks to extend pages retrieval and deletion

https://gerrit.wikimedia.org/r/255981

Change 259891 had a related patch set uploaded (by Mattflaschen):
Hooks to extend pages retrieval and deletion

https://gerrit.wikimedia.org/r/259891

Change 259892 had a related patch set uploaded (by Mattflaschen):
Include Flow topics in Nuke

https://gerrit.wikimedia.org/r/259892

Change 256448 merged by Mattflaschen:
Include Flow topics in Nuke

https://gerrit.wikimedia.org/r/256448

Change 259891 merged by jenkins-bot:
Hooks to extend pages retrieval and deletion

https://gerrit.wikimedia.org/r/259891

Change 259892 merged by jenkins-bot:
Include Flow topics in Nuke

https://gerrit.wikimedia.org/r/259892

Change 259924 had a related patch set uploaded (by Mattflaschen):
Fix a database connection that was not cluster-aware in Nuke hook

https://gerrit.wikimedia.org/r/259924

Change 259946 had a related patch set uploaded (by Catrope):
Fix a database connection that was not cluster-aware in Nuke hook

https://gerrit.wikimedia.org/r/259946

Change 259946 merged by Catrope:
Fix a database connection that was not cluster-aware in Nuke hook

https://gerrit.wikimedia.org/r/259946

Change 259924 merged by jenkins-bot:
Fix a database connection that was not cluster-aware in Nuke hook

https://gerrit.wikimedia.org/r/259924

Tested in betalabs

  • Flow pages can be mass deleted with Special:Flow
  • Mass delete page lists Flow pages and Topics from Flow pages created by a user that was specified in the username field
  • deleted Flow topics are properly displayed in Special:Log/delete

Notes:

A big step in the right direction! +1

Notes:

These things were out of scope based on conversations I had with @Quiddity. It should have been documented in the ticket, my bad.

I propose we remove the blocking tasks dependencies, move this ticket to "product review" and let the other tickets be discussed and prioritized independently.

jmatazzoni closed this task as Resolved.Feb 23 2016, 1:12 AM
jmatazzoni added a subscriber: SBisson.